package de.unikoblenz.fgbks.base.utils;

/**
 * Generate a thread safe synchronized unique application scoped long id by calling the method
 * {@link UniqueIdGenerator#getNextId()}
 */
public class UniqueIdGenerator {

  private static volatile long id = 0;

  private UniqueIdGenerator() {}

  /**
   * Return the next id. This method is synchronized.
   */
  public static synchronized long getNextId() {
    return id++;
  }
}
